<%--
  Created by IntelliJ IDEA.
  User: HUAWEI
  Date: 2022/10/31
  Time: 20:44
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
  <head>
    <title>$Title$</title>

<%--    引入jQuery--%>
    <script type="text/javascript" src="jQuery/jquery-3.6.0.js"></script>

    <script>
      $(function (){
        //初始化用户数据
        getData();
        $("#add").click(function(){
          addOrUpdateUser("addUser");
        });
        $("#update").click(function (){
          addOrUpdateUser("updateUser");
        })
      })
      //初始化用户
      function getData(){
        $.getJSON("user.do",{flag:"getData"},function (result){
          listUser(result);
        })
      }
      //拼接用户数据拼接成html
      function listUser(obj){
        var str="";
        $.each(obj,function (){
          str+="<tr align='center'>"+
                  "<td>"+this.id+"</td>"+
                  "<td>"+this.userName+"</td>" +
                  "<td>"+this.password+"</td>" +
                  "<td>"+this.salary+"</td>" +
                  "<td>"+this.birthday+"</td>"+
                  "<td><a href='#' onclick='preUpdateUser("+this.id+")'>更新</a>&nbsp;&nbsp;<a href='#' onclick='deleteUser("+this.id+")'>删除</a></td></tr>"
        })
        $("#tBody").prepend(str)
      }
      //添加用户的方法

      // 用户添加或者用户更新
      function addOrUpdateUser(flag){
        // 从页面中获取数据
        var userid = $("#id").val();
        var userName = $("#userName").val();
        var password = $("#password").val();
        var salary = $("#salary").val();
        var birthday = $("#birthday").val();
        var data = {
          userid:userid,
          userName:userName,
          password:password,
          salary:salary,
          birthday:birthday,
          flag:flag
        }
        $.post("user.do",data,function(result){
          alert(result);
          location.reload();
        });
      }
      //更新前的数据选择  index从0到4
      function preUpdateUser(userid){
        var arr = new Array();
        $("#"+userid).closest("tr").children().each(function(index,ele){
          if(index <=4){
            arr[index]= ele.innerText
          }
        });
        $("#id").val(arr[0]);
        $("#id").attr("readonly",true);
        $("#username").val(arr[1]);
        $("#password").val(arr[2]);
        $("#salary").val(arr[3]);
        $("#birthday").val(arr[4]);
      }

      /**
       * 删除用户
       * @param userId
       */
      function deleteUser(userid){
        if ($("#"+userid).closest("tr").remove())
        {
          $.post("user.do",{userid:userid,flag:"delete"},function(result){
            alert(result)
          })
        }
      }
    </script>
  </head>
  <body>
  <div>
    <table align="center" width="60%"
           border="1">
      <tr>
        <td>ID：</td>
        <td><input type="text"
                   name="id" id="id"/></td>
        <td>姓名：</td>
        <td><input type="text"
                   name="userName" id="userName"/></td>
        <td>密码：</td>
        <td><input type="text"
                   name="password" id="password"/></td>
      </tr>
      <tr>
        <td>收入：</td>
        <td><input type="text"
                   name="salary" id="salary"/></td>
        <td>出生日期：</td>
        <td><input type="text"
                   name="birthday" id="birthday"/></td>
        <td colspan="2"></td>
      </tr>
      <tr align="center">
        <td colspan="6">
          <input type="button"
                 value="添加用户" id="add" />
          <input type="button"
                 value="更新用户" id="update"/>
        </td>
      </tr>
    </table> <hr/>
    <table align="center" width="60%"
           bgcolor="" border="1" id="myTable">
      <thead>
      <tr align="center">
        <td>ID</td>
        <td>姓名</td>
        <td>密码</td>
        <td>收入</td>
        <td>生日</td>
        <td>操作</td>
      </tr>
      </thead>
      <tbody id="tBody"></tbody>
    </table>
  </div>
  </body>
</html>
